All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
io_input.bas File Reference

Example: print digital and analog inputs. More...

`#include "../pruio/pruio.bi"`
Include dependency graph for io_input.bas:

Go to the source code of this file.

## Functions

int | main ()

## Variables

VAR | io = NEW PruIo
| Create a PruIo structure, wakeup subsystems.
VAR | x = POS()
| The cursor column for output.
VAR | y = CSRLIN() - 5
| The cursor line for output.

## Detailed Description

Example: print digital and analog inputs.

This file contains an example on how to use libpruio to print out the state of the digital GPIOs and the analog input lines.

Licence: GPLv3

Copyright 2014 by Thomas{ dOt ]Freiherr[ At ]gmx[ DoT }net

Compile by: `fbc -w all io_input.bas`

Definition in file io_input.bas.

## Function Documentation

int main | ( |  | ) |

The main function.

Definition at line 58 of file io_input.bas.

Here is the call graph for this function: